POST /registry/allocations/v1/:allocationId/choice-contexts/withdraw
curl --request POST \
--url https://api.example.com/registry/allocations/v1/{allocationId}/choice-contexts/withdraw \
--header 'Content-Type: application/json' \
--data '
{
"meta": {},
"excludeDebugFields": false
}
'import requests
url = "https://api.example.com/registry/allocations/v1/{allocationId}/choice-contexts/withdraw"
payload = {
"meta": {},
"excludeDebugFields": False
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({meta: {}, excludeDebugFields: false})
};
fetch('https://api.example.com/registry/allocations/v1/{allocationId}/choice-contexts/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"choiceContextData": {},
"disclosedContracts": [
{
"templateId": "<string>",
"contractId": "<string>",
"createdEventBlob": "<string>",
"synchronizerId": "<string>",
"debugPackageName": "<string>",
"debugPayload": {},
"debugCreatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}POST /registry/allocations/v1/:allocationId/choice-contexts/withdraw
Get the choice context to withdraw an allocation.
POST
/
registry
/
allocations
/
v1
/
{allocationId}
/
choice-contexts
/
withdraw
POST /registry/allocations/v1/:allocationId/choice-contexts/withdraw
Path Parameters
The contract ID of the allocation to withdraw.
Body
application/json
A request to get the context for executing a choice on a contract.
Response
ok
The context required to exercise a choice on a contract via an interface.
Used to retrieve additional reference date that is passed in via disclosed contracts,
which are in turn referred to via their contract ID in the choiceContextData.